python-ow_3.1p1-2ubuntu1_amd64.deb


Advertisement

Description

python-ow - Dallas 1-wire support: Python bindings

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-ow
Package version: 3.1p1
Package release: 2ubuntu1
Package architecture: amd64
Package type: deb
Installed size: 119 B
Download size: 29.54 KB
Official Mirror: archive.ubuntu.com
The 1-Wire bus is a cheap low-speed bus for devices like weather sensors, access control, etc. It can be attached to your system via serial, USB, I2C, and other interfaces. Python bindings for the OWFS 1-Wire support library have been produced with SWIG and allow access to libow functions from Python code.

Alternatives

Provides

  • python2.7-ow

    Download

    Source package: owfs

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-ow deb package:
      # sudo apt-get install python-ow

    Files

    • /usr/lib/python2.7/dist-packages/ow-3.1p1.egg-info
    • /usr/lib/python2.7/dist-packages/ow/_OW.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/ow/__init__.py
    • /usr/share/doc/python-ow/changelog.Debian.gz
    • /usr/share/doc/python-ow/copyright
    • /usr/share/doc/python-ow/examples/check_ow.py
    • /usr/share/doc/python-ow/examples/errormessages.py
    • /usr/share/doc/python-ow/examples/raw_access.py
    • /usr/share/doc/python-ow/examples/temperature.py
    • /usr/share/doc/python-ow/examples/tree.py
    • /usr/share/doc/python-ow/examples/xmlrpc_client.py
    • /usr/share/doc/python-ow/examples/xmlrpc_server.py
    • /usr/share/doc/python-ow/examples/unittest/Readme.txt
    • /usr/share/doc/python-ow/examples/unittest/ds1420.py
    • /usr/share/doc/python-ow/examples/unittest/ds2408.py.gz
    • /usr/share/doc/python-ow/examples/unittest/ds2409.py.gz
    • /usr/share/doc/python-ow/examples/unittest/owload.py
    • /usr/share/doc/python-ow/examples/unittest/owsensors.py.gz
    • /usr/share/doc/python-ow/examples/unittest/owtest.py
    • /usr/share/doc/python-ow/examples/unittest/owtest_sample.ini
    • /usr/share/doc/python-ow/examples/unittest/owtest_think.ini
    • /usr/share/doc/python-ow/examples/unittest/util.py

    Changelog

    2016-03-28 - Nishanth Aravamudan <nish.aravamudan@canonical.com> owfs (3.1p1-2ubuntu1) xenial; urgency=medium * Disable libow-php{,5} while swig does not support PHP 7.0 (LP: #1546823). * Update to PHP7.0 dependencies (LP: #1562215).

    2016-01-18 - Vincent Danjean <vdanjean@debian.org> owfs (3.1p1-2) unstable; urgency=medium * fix kFreeBSD patch (upstream applied patch was not working with kFreeBSD) * enable avahi support in the package

    2016-01-17 - Vincent Danjean <vdanjean@debian.org> owfs (3.1p1-1) unstable; urgency=medium * New upstream version + fix bugs for w1 kernel interface * Refresh debian/patches/* * Dump soname (as done by upstream for each new release)

    2016-01-12 - Vincent Danjean <vdanjean@debian.org> owfs (3.1p0-2) unstable; urgency=medium * apply/fix 'cme fix dpkg' notices * Switching to libusb 1.0 (Closes: #810450) * enable ddeb instead of the manual owfs-dbg debug package

    2015-07-20 - Vincent Danjean <vdanjean@debian.org> owfs (3.1p0-1) unstable; urgency=medium * New upstream release + refresh patches (and remove upstream applied ones)

    2014-11-14 - Vincent Danjean <vdanjean@debian.org> owfs (2.9p8-6) unstable; urgency=medium * Hide ls error messages when nothing have to do done on upgrade (Closes: #769523)

    2014-11-08 - Vincent Danjean <vdanjean@debian.org> owfs (2.9p8-5) unstable; urgency=medium * Add missing Breaks/Replaces required due to some files moved from the ow-shell package to the ow-tools one. This move occures in 2.9p5-1 (Closes: #768115)

    2014-10-27 - Vincent Danjean <vdanjean@debian.org> owfs (2.9p8-4) unstable; urgency=medium * Fix "FTBFS[kfreebsd]: wrong ifdef __FreeBSD__" : using the good symbol, thanks Steven Chamberlain (Closes: #766910)

    2014-10-26 - Vincent Danjean <vdanjean@debian.org> owfs (2.9p8-3) unstable; urgency=medium * Trying to fix another incompatibility with FreeBSD with this new upstream version

    2014-10-25 - Vincent Danjean <vdanjean@debian.org> owfs (2.9p8-2) unstable; urgency=medium * make systemd dependency linux-any only (Closes: #766697)

    Advertisement
    Advertisement